Index: /branches/UKMO/dev_r5518_obs_oper_update/ADM/DOC_SCRIPTS/extract_rst.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/ADM/DOC_SCRIPTS/extract_rst.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/ADM/DOC_SCRIPTS/extract_rst.sh	(revision 7960)
@@ -109,5 +109,5 @@
 # ==========
 #
-# $Id$
+# $Id: extract_rst.sh 2246 2010-10-13 09:47:23Z rblod $
 #
 # - fplod 2009-04-20T08:13:37Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: /branches/UKMO/dev_r5518_obs_oper_update/ADM/DOC_SCRIPTS/install.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/ADM/DOC_SCRIPTS/install.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/ADM/DOC_SCRIPTS/install.sh	(revision 7960)
@@ -47,5 +47,5 @@
 # ==========
 #
-# $Id$
+# $Id: install.sh 2246 2010-10-13 09:47:23Z rblod $
 #
 # - fplod 2008-09-16T15:24:26Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: /branches/UKMO/dev_r5518_obs_oper_update/ADM/DOC_SCRIPTS/makefile_compile
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/ADM/DOC_SCRIPTS/makefile_compile	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/ADM/DOC_SCRIPTS/makefile_compile	(revision 7960)
@@ -21,5 +21,5 @@
 # ==========
 #
-# $Id$
+# $Id: makefile_compile 2520 2010-12-27 14:43:36Z rblod $
 #
 # - fplod 20100419T145702Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 7960)
@@ -1195,62 +1195,38 @@
    ln_t3d     = .false.    ! Logical switch for T profile observations
    ln_s3d     = .false.    ! Logical switch for S profile observations
-   ln_ena     = .false.    ! Logical switch for ENACT insitu data set
-   !                       !     ln_cor                  Logical switch for Coriolis insitu data set
-   ln_profb   = .false.    ! Logical switch for feedback insitu data set
+   ln_cor     = .false.    ! Logical switch for Coriolis insitu data set
    ln_sla     = .false.    ! Logical switch for SLA observations
-
-   ln_sladt   = .false.    ! Logical switch for AVISO SLA data
-
-   ln_slafb   = .false.    ! Logical switch for feedback SLA data
-                           !     ln_ssh                  Logical switch for SSH observations
-
-   ln_sst     = .false.     ! Logical switch for SST observations
-   ln_reysst  = .false.     !     ln_reysst               Logical switch for Reynolds observations
-   ln_ghrsst  = .false.    !     ln_ghrsst               Logical switch for GHRSST observations
-
-   ln_sstfb   = .false.    ! Logical switch for feedback SST data
-                           !     ln_sss                  Logical switch for SSS observations
+   ln_ssh     = .false.    ! Logical switch for SSH observations
+   ln_sst     = .false.    ! Logical switch for SST observations
+   ln_sss     = .false.    ! Logical switch for SSS observations
    ln_seaice  = .false.    ! Logical switch for Sea Ice observations
-                           !     ln_vel3d                Logical switch for velocity observations
-                           !     ln_velavcur             Logical switch for velocity daily av. cur.
-                           !     ln_velhrcur             Logical switch for velocity high freq. cur.
-                           !     ln_velavadcp            Logical switch for velocity daily av. ADCP
-                           !     ln_velhradcp            Logical switch for velocity high freq. ADCP
-                           !     ln_velfb                Logical switch for feedback velocity data
-                           !     ln_grid_global          Global distribtion of observations
-                           !     ln_grid_search_lookup   Logical switch for obs grid search w/lookup table
-                           !     grid_search_file        Grid search lookup file header
-                           !     enactfiles              ENACT input observation file names
-                           !     coriofiles              Coriolis input observation file name
-   !                       ! profbfiles: Profile feedback input observation file name
-   profbfiles = 'profiles_01.nc'
-                           !     ln_profb_enatim         Enact feedback input time setting switch
-                           !     slafilesact             Active SLA input observation file name
-                           !     slafilespas             Passive SLA input observation file name
-   !                       ! slafbfiles: Feedback SLA input observation file name
-   slafbfiles = 'sla_01.nc'
-                           !     sstfiles                GHRSST input observation file name
-   !                       ! sstfbfiles: Feedback SST input observation file name
-   sstfbfiles = 'sst_01.nc'
-                           !     seaicefiles             Sea Ice input observation file names
-   seaicefiles = 'seaice_01.nc'
-                           !     velavcurfiles           Vel. cur. daily av. input file name
-                           !     velhvcurfiles           Vel. cur. high freq. input file name
-                           !     velavadcpfiles          Vel. ADCP daily av. input file name
-                           !     velhvadcpfiles          Vel. ADCP high freq. input file name
-                           !     velfbfiles              Vel. feedback input observation file name
-                           !     dobsini                 Initial date in window YYYYMMDD.HHMMSS
-                           !     dobsend                 Final date in window YYYYMMDD.HHMMSS
-                           !     n1dint                  Type of vertical interpolation method
-                           !     n2dint                  Type of horizontal interpolation method
-                           !     ln_nea                  Rejection of observations near land switch
-   nmsshc     = 0          ! MSSH correction scheme
-                           !     mdtcorr                 MDT  correction
-                           !     mdtcutoff               MDT cutoff for computed correction
+   ln_vel3d   = .false.    ! Logical switch for velocity observations
+   ln_velavcur= .false     ! Logical switch for velocity daily av. cur.
+   ln_velhrcur= .false     ! Logical switch for velocity high freq. cur.
+   ln_velavadcp = .false.  ! Logical switch for velocity daily av. ADCP
+   ln_velhradcp = .false.  ! Logical switch for velocity high freq. ADCP
+   ln_velfb   = .false.    ! Logical switch for feedback velocity data
+   ln_grid_global = .false. ! Global distribtion of observations
+   ln_grid_search_lookup = .false. !  Logical switch for obs grid search w/lookup table
+   grid_search_file = 'grid_search'  !  Grid search lookup file header
+! All of the *files* variables below are arrays. Use namelist_cfg to add more files
+   cn_profbfiles = 'profiles_01.nc' ! Profile feedback input observation file name
+   cn_slafbfiles = 'sla_01.nc' ! slafbfiles: Feedback SLA input observation file names
+   cn_sstfbfiles = 'sst_01.nc' ! Feedback SST input observation file names
+   cn_sicfbfiles = 'seaice_01.nc' ! Sea Ice input observation file names
+   cn_velfbfiles = 'velfbfile.nc' ! Vel. feedback input observation file name
+   cn_sstbias_files = 'sstbias.nc'
+   rn_dobsini = 20000101.000000  !  Initial date in window YYYYMMDD.HHMMSS
+   rn_dobsend = 20010101.000000  !  Final date in window YYYYMMDD.HHMMSS
+   nn_1dint = 0  !               Type of vertical interpolation method
+   nn_2dint = 0  !               Type of horizontal interpolation method
+   ln_nea = .false.   !        Rejection of observations near land switch
+   nn_msshc     = 0     !        MSSH correction scheme
+   rn_mdtcorr = 1.61     !        MDT  correction
+   rn_mdtcutoff = 65.0   !        MDT cutoff for computed correction
    ln_altbias = .false.    ! Logical switch for alt bias
    ln_ignmis  = .true.     ! Logical switch for ignoring missing files
-                           !     endailyavtypes   ENACT daily average types
-   ln_grid_global = .true.
-   ln_grid_search_lookup = .false.
+   ln_sstbias = .false.
+
 /
 !-----------------------------------------------------------------------
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/CONFIG/makenemo
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/CONFIG/makenemo	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/CONFIG/makenemo	(revision 7960)
@@ -75,5 +75,5 @@
 # ==========
 #
-# $Id$
+# $Id: makenemo 5144 2015-03-11 15:51:28Z timgraham $
 #
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modarrays.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modbc.F 2731 2011-04-08 12:05:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbcfunction.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbcfunction.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbcfunction.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modbcfunction.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcluster.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcluster.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcluster.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modcluster.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcurgridfunctions.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcurgridfunctions.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcurgridfunctions.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modcurgridfunctions.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinitvars.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinitvars.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinitvars.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modinitvars.F 2528 2010-12-27 17:33:53Z rblod $
 !
 C     Agrif (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modinterp.F 2731 2011-04-08 12:05:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterpbasic.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterpbasic.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterpbasic.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modinterpbasic.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmask.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmask.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmask.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modmask.F 2528 2010-12-27 17:33:53Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modmpp.F 2731 2011-04-08 12:05:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modsauv.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modupdate.F 2731 2011-04-08 12:05:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdatebasic.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdatebasic.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdatebasic.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modupdatebasic.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F	(revision 7960)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modutil.F 2731 2011-04-08 12:05:35Z rblod $
 !
 C     Agrif (Adaptive Grid Refinement In Fortran)
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/IOIPSL/tools/rebuild
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/IOIPSL/tools/rebuild	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/IOIPSL/tools/rebuild	(revision 7960)
@@ -1,5 +1,5 @@
 #!/bin/ksh
 #
-#$Id$
+#$Id: rebuild 2281 2010-10-15 14:21:13Z smasson $
 #
 # This software is governed by the CeCILL license
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/IOIPSL/tools/tkcond.c
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/IOIPSL/tools/tkcond.c	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/IOIPSL/tools/tkcond.c	(revision 7960)
@@ -1,4 +1,4 @@
 /* parser config.in
- * $Id$
+ * $Id: tkcond.c 2281 2010-10-15 14:21:13Z smasson $
  *
  * This software is governed by the CeCILL license
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/IOIPSL/tools/tkgen.c
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/IOIPSL/tools/tkgen.c	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/IOIPSL/tools/tkgen.c	(revision 7960)
@@ -1,4 +1,4 @@
 /* Generate tk script based upon config.in
- * $Id$
+ * $Id: tkgen.c 2281 2010-10-15 14:21:13Z smasson $
  *
  * This software is governed by the CeCILL license
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/IOIPSL/tools/tkparse.c
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/IOIPSL/tools/tkparse.c	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/EXTERNAL/IOIPSL/tools/tkparse.c	(revision 7960)
@@ -1,4 +1,4 @@
 /* parser config.in
- * $Id$
+ * $Id: tkparse.c 2281 2010-10-15 14:21:13Z smasson $
  *
  * This software is governed by the CeCILL license
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/NEMO/OPA_SRC/module_example
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/NEMO/OPA_SRC/module_example	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/NEMO/OPA_SRC/module_example	(revision 7960)
@@ -52,5 +52,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
+   !! $Id: module_example 4147 2013-11-04 11:51:55Z cetlod $ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/SETTE/all_functions.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/SETTE/all_functions.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/SETTE/all_functions.sh	(revision 7960)
@@ -79,5 +79,5 @@
 # ==========
 #
-# $Id$
+# $Id: all_functions.sh 4316 2013-11-26 15:43:56Z clevy $
 #
 #   * creation
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 7960)
@@ -52,5 +52,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_archfile.sh 4162 2013-11-07 10:19:49Z cetlod $
 #
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh	(revision 7960)
@@ -58,5 +58,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_config.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh	(revision 7960)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_script.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 7960)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fclean_var.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh	(revision 7960)
@@ -46,5 +46,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcopy_dir.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh	(revision 7960)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fgo_to_TOOLS.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 7960)
@@ -48,5 +48,5 @@
 # ==========
 #
-# $Id$
+# $Id: Flist_archfile.sh 4148 2013-11-04 12:54:28Z cetlod $
 #
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh	(revision 7960)
@@ -57,5 +57,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_WORK.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh	(revision 7960)
@@ -51,5 +51,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_bld.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh	(revision 7960)
@@ -50,5 +50,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_config.sh 3715 2012-11-28 16:06:02Z acc $
 #
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 7960)
@@ -47,5 +47,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fprep_agrif.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh	(revision 7960)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fread_dir.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh	(revision 7960)
@@ -1,5 +1,5 @@
 #!/bin/bash
 #------------------------------------------------
-#$Id$
+#$Id: chk_iomput.sh 4162 2013-11-07 10:19:49Z cetlod $
 #------------------------------------------------
 #
Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/maketools
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/maketools	(revision 7959)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/TOOLS/maketools	(revision 7960)
@@ -64,5 +64,5 @@
 # ==========
 #
-# $Id$
+# $Id: maketools 4363 2014-01-22 11:11:47Z rfurner $
 #
 #